Returns a list of Sources.
curl --request GET \
--url https://api.totoy.ai/v1/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.totoy.ai/v1/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.totoy.ai/v1/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"source_id": "src_oXiYDg8QOc9JsOk86idRXiywD",
"source_type": "document",
"bytes": 1234567,
"created_at": "2024-03-01T00:00:00Z",
"updated_at": "2024-03-01T00:00:00Z",
"title": "Totoy Company Overview",
"document_file_name": "totoy-company-overview.pdf",
"backlink": "https://www.totoy.ai/totoy-company-overview.pdf",
"valid_from": "2024-01-01T00:00:00Z",
"valid_until": "2026-12-31T23:59:59Z",
"project_id": "pj_avX7imfLaPcQnv5ckvGlOEBA9",
"custom_metadata": {
"internal_tag": "general_documents"
},
"knowledge_base_ids": [
"kb_feMfJbeqbAEj4u8K5HqmKpUbY",
"kb_2eMfJbeqbAEj4u8K5HqmKpUbY"
],
"status": "completed",
"pages": 27
},
{
"source_id": "src_qoY7rSGkiWtn4NP8kPXc7xzrq",
"source_type": "text",
"bytes": 44,
"created_at": "2024-04-01T00:00:00Z",
"updated_at": "2024-04-01T00:00:00Z",
"title": "Foundation Date",
"backlink": "https://www.totoy.ai/general-info",
"valid_from": "2024-01-01T00:00:00Z",
"valid_until": "2026-12-31T23:59:59Z",
"project_id": "pj_avX7imfLaPcQnv5ckvGlOEBA9",
"custom_metadata": {
"internal_tag": "text_snippets"
},
"knowledge_base_ids": [
"kb_feMfJbeqbAEj4u8K5HqmKpUbY",
"kb_2eMfJbeqbAEj4u8K5HqmKpUbY"
]
}
]
}{
"type": "https://docs.totoy.ai/probs/out-of-credit",
"title": "You do not have enough credit.",
"status": 403,
"detail": "You do not have enough credit to perform this operation.",
"instance": "/projects/pj_avX7imfLaPcQnv5ckvGlOEBA9"
}{
"type": "https://docs.totoy.ai/probs/out-of-credit",
"title": "You do not have enough credit.",
"status": 403,
"detail": "You do not have enough credit to perform this operation.",
"instance": "/projects/pj_avX7imfLaPcQnv5ckvGlOEBA9"
}Sources
Returns a list of Sources.
GET
/
sources
Returns a list of Sources.
⌘I